package ut

import (
	"fmt"
)

func StartTestCashs() {
	createParams := make(map[string]interface{})
	createParams["app_id"] = "app_7d87c043-aae3-4357-9b2c-269349a980d6"
	createParams["order_no"] = "111"
	createParams["cash_type"] = "T1"
	createParams["cash_amt"] = "1.00"
	createParams["member_id"] = "111"
	createParams["notify_url"] = "XXX"

	data, apiError, err := Adapay.Cashs().CreateCashs(createParams, "yifuyun")
	if err != nil || apiError != nil { // 网络或本应用异常
		fmt.Println(err)
		fmt.Println(apiError)
		return
	}
	fmt.Println(data)
}

func QueryCashsStat() {
	createParams := make(map[string]interface{})
	createParams["app_id"] = "app_7d87c043-aae3-4357-9b2c-269349a980d6"
	createParams["order_no"] = "xxx"

	data, apiError, err := Adapay.Cashs().QueryCashsStat(createParams, "yifuyun")
	if err != nil || apiError != nil { // 网络或本应用异常
		fmt.Println(err)
		fmt.Println(apiError)
		return
	}
	fmt.Println(data)
}
